<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Slegal Admin</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<%= base_url %>plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<%= base_url %>dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
 
  <!-- /.navbar -->



  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
          
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="/admin-panel">Home</a></li>
             
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Misc</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <form>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Misc type</label>
                        <span><%= misc.type %></span>
                        <div class="form-group">
                            <label for="Duration">Field</label>
                            <input type="hidden" value="<%= misc.type %>" id="misctype">
                            <input type="hidden" value="<%= misc._id %>" name="id" id="id">
                            <input type="text" class="form-control" id="field" placeholder="Enter field value" value="<%= misc.name %>" >
                        </div>
                        <div class="card-footer">
                            <button type="button" class="btn btn-primary" onclick="handlesubmit()">Update</button>
                            </div>
                    </div>
                </form>
              
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
  
         
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="<%= base_url %>plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="<%= base_url %>plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="<%= base_url %>plugins/datatables/jquery.dataTables.min.js"></script>
<script src="<%= base_url %>plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="<%= base_url %>plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="<%= base_url %>plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="<%= base_url %>plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="<%= base_url %>plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="<%= base_url %>plugins/jszip/jszip.min.js"></script>
<script src="<%= base_url %>plugins/pdfmake/pdfmake.min.js"></script>
<script src="<%= base_url %>plugins/pdfmake/vfs_fonts.js"></script>
<script src="<%= base_url %>plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="<%= base_url %>plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="<%= base_url %>plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="<%= base_url %>dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="<%= base_url %>dist/js/demo.js"></script>
<!-- Page specific script -->
<script>
 $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
  function handlesubmit(){
    var misctype = $('#misctype').val();
    var field = $('#field').val();
    var id = $('#id').val();
    var data = {
        misctype: misctype,
        field: field,
        id:id
            };
            var baseurl="<%= base_url %>";
            var url= baseurl+"updatemisc";
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message);
            }else{
                toastr.success(data.message);
            }
        })
     }
</script>
</body>
</html>
